summaryrefslogtreecommitdiff
path: root/localmailtransportupdate
diff options
context:
space:
mode:
authorJonas Smedegaard <dr@jones.dk>2006-10-23 21:51:04 +0000
committerJonas Smedegaard <dr@jones.dk>2006-10-23 21:51:04 +0000
commit9af89b9400ba74488b7525a5c9336d1c36e34b82 (patch)
tree8da892d6173f643520b335dfc282719f5cd43872 /localmailtransportupdate
parent7639653f02fac767407180ab7fb56f95504dc985 (diff)
Redirect messages to stderr.
Diffstat (limited to 'localmailtransportupdate')
-rwxr-xr-xlocalmailtransportupdate26
1 files changed, 13 insertions, 13 deletions
diff --git a/localmailtransportupdate b/localmailtransportupdate
index 77ae4b9..f73bf17 100755
--- a/localmailtransportupdate
+++ b/localmailtransportupdate
@@ -3,7 +3,7 @@
# /usr/local/sbin/localmailtransportinit
# Copyright 2006 Jonas Smedegaard <dr@jones.dk>
#
-# $Id: localmailtransportupdate,v 1.5 2006-10-23 21:48:06 jonas Exp $
+# $Id: localmailtransportupdate,v 1.6 2006-10-23 21:51:04 jonas Exp $
#
# Setup postfix transport map for a redpill organisation
#
@@ -17,21 +17,21 @@ if [ $? != 0 ] ; then echo "Terminating..." >&2 ; exit 1 ; fi
eval set -- "$TEMP"
usage() {
- echo "Usage: $PRG [opts...] [redpill]"
- echo
- echo " -r, --redpill Redpill context"
- echo " (default: read /etc/local-ORG/redpill)"
- echo " -f, --force Update without asking for confirmation"
- echo " -i, --init Setup postfix to use the transport map"
- echo " -d, --diffopts=diffopts Extra options applied to diff when"
- echo " comparing current and new map"
- echo " -h|--help This help text"
+ echo >&2 "Usage: $PRG [opts...] [redpill]"
+ echo >&2
+ echo >&2 " -r, --redpill Redpill context"
+ echo >&2 " (default: read /etc/local-ORG/redpill)"
+ echo >&2 " -f, --force Update without asking for confirmation"
+ echo >&2 " -i, --init Setup postfix to use the transport map"
+ echo >&2 " -d, --diffopts=diffopts Extra options applied to diff when"
+ echo >&2 " comparing current and new map"
+ echo >&2 " -h|--help This help text"
exit 1
}
exit1() {
- echo "Error: $1"
- echo "Exiting..."
+ echo >&2 "Error: $1"
+ echo >&2 "Exiting..."
exit 1
}
@@ -104,7 +104,7 @@ case $do_update in
y|Y)
mv /etc/postfix/transport.new /etc/postfix/transport
postmap /etc/postfix/transport
- echo "Changes applied!"
+ echo >&2 "Changes applied!"
;;
*)
exit1 "Aborted!"